The iteration/iterate.hpp header defines a macros to interface with the file-iteration mechanism.

#### Usage

#include <boost/preprocessor/iteration/iterate.hpp>

#### Contents

- BOOST_PP_FRAME_FINISH
- BOOST_PP_FRAME_FLAGS
- BOOST_PP_FRAME_ITERATION
- BOOST_PP_FRAME_START
- BOOST_PP_ITERATE
- BOOST_PP_ITERATION
- BOOST_PP_ITERATION_DEPTH
- BOOST_PP_ITERATION_FINISH
- BOOST_PP_ITERATION_FLAGS
- BOOST_PP_ITERATION_START
- BOOST_PP_RELATIVE_FINISH
- BOOST_PP_RELATIVE_FLAGS
- BOOST_PP_RELATIVE_ITERATION
- BOOST_PP_RELATIVE_START